# pqxx::internal::unique< GUEST > Class Template Reference

Ensure proper opening/closing of GUEST objects related to a "host" object. More...

`#include <util.hxx>`

Inheritance diagram for pqxx::internal::unique< GUEST >:

[legend]

List of all members.

## Public Member Functions
| unique ()
GUEST * | get () const throw ()
void | Register (GUEST *G)
void | Unregister (GUEST *G)

## Detailed Description

### template<typename GUEST>
class pqxx::internal::unique< GUEST >

Ensure proper opening/closing of GUEST objects related to a "host" object.

Only a single GUEST may exist for a single host at any given time. GUEST must be derived from namedclass.

## Constructor & Destructor Documentation

template<typename GUEST>

pqxx::internal::unique< GUEST >::unique | ( |  | ) |

## Member Function Documentation

template<typename GUEST>

GUEST* pqxx::internal::unique< GUEST >::get | ( |  | ) | const throw ()

Referenced by pqxx::connection_base::close(), pqxx::transaction_base::commit(), pqxx::connection_base::deactivate(), pqxx::transaction_base::End(), pqxx::transaction_base::exec(), pqxx::connection_base::get_notifs(), pqxx::connection_base::get_variable(), and pqxx::connection_base::set_variable().

template<typename GUEST>

void pqxx::internal::unique< GUEST >::Register | ( | GUEST * | G | ) |

template<typename GUEST>

void pqxx::internal::unique< GUEST >::Unregister | ( | GUEST * | G | ) |

The documentation for this class was generated from the following file:

- util.hxx